Skip to main content
PUT
Update particular address

Authorizations

Authorization
string
header
required

Access token

Path Parameters

address_id
string
required

address id

customer_id
string
required

customer id

Body

application/json

payload for address update

first_name
string
Maximum string length: 128
last_name
string | null
Maximum string length: 128
country_code
string
Pattern: ^\+?\d{1,4}$
phone
string

Accepts a ten-digit phone number, with optional country prefix and separators such as +91 98765 43210; the prefix and separators are removed before validation.

email
string<email>
Maximum string length: 128
address_line1
string
Maximum string length: 256
address_line2
string | null
Maximum string length: 256
landmark
string | null
Maximum string length: 128
pincode
string
Required string length: 6
city
string
Maximum string length: 128
state
string
Maximum string length: 128
country
string
Maximum string length: 128
tax_identification_number
string | null

Tax Identification Number specific to the country of operation.

Maximum string length: 64
business_name
string | null

Use in billing & shipping details only.

Maximum string length: 128
is_default_billing
boolean

Indicates if the address is the default billing address for the customer.

is_default_shipping
boolean

Indicates if the address is the default shipping address for the customer.

nickname
string | null

Normalized to a lowercase slug.

Maximum string length: 32

Response

OK

message
string
success
boolean
content
object